.form-label {
	margin-bottom: 0.5rem;
}

.col-form-label {
	padding-top: calc(0.8125rem + 1px);
	padding-bottom: calc(0.8125rem + 1px);
	margin-bottom: 0;
	font-size: inherit;
	line-height: 1.7;
}

.col-form-label-lg {
	padding-top: calc(0.5rem + 1px);
	padding-bottom: calc(0.5rem + 1px);
	font-size: 1.125rem;
}

.col-form-label-sm {
	padding-top: calc(0.25rem + 1px);
	padding-bottom: calc(0.25rem + 1px);
	font-size: 0.8125rem;
}

.form-text {
	margin-top: 0.25rem;
	font-size: 0.875em;
	color: #8d8d8d;
}

.form-control {
	display: block;
	width: 100%;
	padding: 0.8125rem 1.25rem;
	font-size: 1rem;
	font-weight: 400;
	line-height: 1.7;
	color: #515151;
	background-color: #f8f8f8;
	background-clip: padding-box;
	border: 1px solid #cfcfcf;
	appearance: none;
	border-radius: 0;
	transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

@media (prefers-reduced-motion: reduce) {
	.form-control {
		transition: none;
	}
}

.form-control[type="file"] {
	overflow: hidden;
}

.form-control[type="file"]:not(:disabled):not([readonly]) {
	cursor: pointer;
}

.form-control:focus {
	color: #272b37;
	background-color: #fff;
	border-color: #cfcfcf;
	outline: 0;
	box-shadow: 0 0 0 1px #cfcfcf;
}

.form-control::-webkit-date-and-time-value {
	height: 1.7em;
}

.form-control::placeholder {
	color: #515151;
	opacity: 1;
}

.form-control:disabled, .form-control[readonly] {
	background-color: rgba(248, 248, 248, 0.8);
	opacity: 1;
}

.form-control::file-selector-button {
	padding: 0.8125rem 1.25rem;
	margin: -0.8125rem -1.25rem;
	margin-inline-end: 1.25rem;
	color: #515151;
	background-color: #f8f8f8;
	pointer-events: none;
	border-color: inherit;
	border-style: solid;
	border-width: 0;
	border-inline-end-width: 1px;
	border-radius: 0;
	transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

@media (prefers-reduced-motion: reduce) {
	.form-control::file-selector-button {
		transition: none;
	}
}

.form-control:hover:not(:disabled):not([readonly])::file-selector-button {
	background-color: #ececec;
}

.form-control::-webkit-file-upload-button {
	padding: 0.8125rem 1.25rem;
	margin: -0.8125rem -1.25rem;
	margin-inline-end: 1.25rem;
	color: #515151;
	background-color: #f8f8f8;
	pointer-events: none;
	border-color: inherit;
	border-style: solid;
	border-width: 0;
	border-inline-end-width: 1px;
	border-radius: 0;
	transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

@media (prefers-reduced-motion: reduce) {
	.form-control::-webkit-file-upload-button {
		transition: none;
	}
}

.form-control:hover:not(:disabled):not([readonly])::-webkit-file-upload-button {
	background-color: #ececec;
}

.form-control-plaintext {
	display: block;
	width: 100%;
	padding: 0.8125rem 0;
	margin-bottom: 0;
	line-height: 1.7;
	color: #515151;
	background-color: transparent;
	border: solid transparent;
	border-width: 1px 0;
}

.form-control-plaintext.form-control-sm, .form-control-plaintext.form-control-lg {
	padding-right: 0;
	padding-left: 0;
}

.form-control-sm {
	min-height: calc(1.7em + 0.5rem + 2px);
	padding: 0.25rem 0.5rem;
	font-size: 0.8125rem;
	border-radius: 0.2rem;
}

.form-control-sm::file-selector-button {
	padding: 0.25rem 0.5rem;
	margin: -0.25rem -0.5rem;
	margin-inline-end: 0.5rem;
}

.form-control-sm::-webkit-file-upload-button {
	padding: 0.25rem 0.5rem;
	margin: -0.25rem -0.5rem;
	margin-inline-end: 0.5rem;
}

.form-control-lg {
	min-height: calc(1.7em + 1rem + 2px);
	padding: 0.5rem 1rem;
	font-size: 1.125rem;
	border-radius: 0.3rem;
}

.form-control-lg::file-selector-button {
	padding: 0.5rem 1rem;
	margin: -0.5rem -1rem;
	margin-inline-end: 1rem;
}

.form-control-lg::-webkit-file-upload-button {
	padding: 0.5rem 1rem;
	margin: -0.5rem -1rem;
	margin-inline-end: 1rem;
}

textarea.form-control {
	min-height: 3.45rem;
}

textarea.form-control-sm {
	min-height: calc(1.7em + 0.5rem + 2px);
}

textarea.form-control-lg {
	min-height: calc(1.7em + 1rem + 2px);
}

.form-control-color {
	max-width: 3rem;
	height: auto;
	padding: 0.8125rem;
}

.form-control-color:not(:disabled):not([readonly]) {
	cursor: pointer;
}

.form-control-color::-moz-color-swatch {
	height: 1.7em;
	border-radius: 0;
}

.form-control-color::-webkit-color-swatch {
	height: 1.7em;
	border-radius: 0;
}

.form-select {
	display: block;
	width: 100%;
	padding: 0.8125rem 3.75rem 0.8125rem 1.25rem;
	font-size: 1rem;
	font-weight: 400;
	line-height: 1.7;
	color: #515151;
	background-color: #f8f8f8;
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%232f3340' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e");
	background-repeat: no-repeat;
	background-position: right 1.25rem center;
	background-size: 16px 12px;
	border: 1px solid #cfcfcf;
	border-radius: 0;
	appearance: none;
}

.form-select:focus {
	border-color: #cfcfcf;
	outline: 0;
	box-shadow: 0 0 0 0.25rem rgba(215, 158, 142, 0.25);
}

.form-select[multiple], .form-select[size]:not([size="1"]) {
	padding-right: 1.25rem;
	background-image: none;
}

.form-select:disabled {
	background-color: #e3e3e3;
}

.form-select:-moz-focusring {
	color: transparent;
	text-shadow: 0 0 0 #515151;
}

.form-select-sm {
	padding-top: 0.25rem;
	padding-bottom: 0.25rem;
	padding-left: 0.5rem;
	font-size: 0.8125rem;
}

.form-select-lg {
	padding-top: 0.5rem;
	padding-bottom: 0.5rem;
	padding-left: 1rem;
	font-size: 1.125rem;
}

.form-check {
	display: block;
	min-height: 1.7rem;
	padding-left: 1.5em;
	margin-bottom: 0.125rem;
}

.form-check .form-check-input {
	float: left;
	margin-left: -1.5em;
}

.form-check-input {
	width: 1em;
	height: 1em;
	margin-top: 0.35em;
	vertical-align: top;
	background-color: #f8f8f8;
	background-repeat: no-repeat;
	background-position: center;
	background-size: contain;
	border: 1px solid rgba(0, 0, 0, 0.25);
	appearance: none;
	color-adjust: exact;
}

.form-check-input[type="checkbox"] {
	border-radius: 0.25em;
}

.form-check-input[type="radio"] {
	border-radius: 50%;
}

.form-check-input:active {
	filter: brightness(90%);
}

.form-check-input:focus {
	border-color: #cfcfcf;
	outline: 0;
	box-shadow: 0 0 0 0.25rem rgba(215, 158, 142, 0.25);
}

.form-check-input:checked {
	background-color: #bf0a30;
	border-color: #bf0a30;
}

.form-check-input:checked[type="checkbox"] {
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3e%3cpath fill='none' stroke='%23D79E8E' stroke-linecap='round' stroke-linejoin='round' stroke-width='3' d='M6 10l3 3l6-6'/%3e%3c/svg%3e");
}

.form-check-input:checked[type="radio"] {
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='2' fill='%23D79E8E'/%3e%3c/svg%3e");
}

.form-check-input[type="checkbox"]:indeterminate {
	background-color: #bf0a30;
	border-color: #bf0a30;
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3e%3cpath fill='none' stroke='%23D79E8E' stroke-linecap='round' stroke-linejoin='round' stroke-width='3' d='M6 10h8'/%3e%3c/svg%3e");
}

.form-check-input:disabled {
	pointer-events: none;
	filter: none;
	opacity: 0.5;
}

.form-check-input[disabled] ~ .form-check-label, .form-check-input:disabled ~ .form-check-label {
	opacity: 0.5;
}

.form-switch {
	padding-left: 2.5em;
}

.form-switch .form-check-input {
	width: 2em;
	margin-left: -2.5em;
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='rgba%280, 0, 0, 0.25%29'/%3e%3c/svg%3e");
	background-position: left center;
	border-radius: 2em;
	transition: background-position 0.15s ease-in-out;
}

@media (prefers-reduced-motion: reduce) {
	.form-switch .form-check-input {
		transition: none;
	}
}

.form-switch .form-check-input:focus {
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%23cfcfcf'/%3e%3c/svg%3e");
}

.form-switch .form-check-input:checked {
	background-position: right center;
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%23D79E8E'/%3e%3c/svg%3e");
}

.form-check-inline {
	display: inline-block;
	margin-right: 1rem;
}

.btn-check {
	position: absolute;
	clip: rect(0, 0, 0, 0);
	pointer-events: none;
}

.btn-check[disabled] + .btn, .btn-check:disabled + .btn {
	pointer-events: none;
	filter: none;
	opacity: 0.65;
}

.form-range {
	width: 100%;
	height: 1.5rem;
	padding: 0;
	background-color: transparent;
	appearance: none;
}

.form-range:focus {
	outline: 0;
}

.form-range:focus::-webkit-slider-thumb {
	box-shadow: 0 0 0 1px #fff, 0 0 0 1px #cfcfcf;
}

.form-range:focus::-moz-range-thumb {
	box-shadow: 0 0 0 1px #fff, 0 0 0 1px #cfcfcf;
}

.form-range::-moz-focus-outer {
	border: 0;
}

.form-range::-webkit-slider-thumb {
	width: 1rem;
	height: 1rem;
	margin-top: -0.25rem;
	background-color: #bf0a30;
	border: 0;
	border-radius: 1rem;
	transition: background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
	appearance: none;
}

@media (prefers-reduced-motion: reduce) {
	.form-range::-webkit-slider-thumb {
		transition: none;
	}
}

.form-range::-webkit-slider-thumb:active {
	background-color: #f3e2dd;
}

.form-range::-webkit-slider-runnable-track {
	width: 100%;
	height: 0.5rem;
	color: transparent;
	cursor: pointer;
	background-color: #dee2e6;
	border-color: transparent;
	border-radius: 1rem;
}

.form-range::-moz-range-thumb {
	width: 1rem;
	height: 1rem;
	background-color: #bf0a30;
	border: 0;
	border-radius: 1rem;
	transition: background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
	appearance: none;
}

@media (prefers-reduced-motion: reduce) {
	.form-range::-moz-range-thumb {
		transition: none;
	}
}

.form-range::-moz-range-thumb:active {
	background-color: #f3e2dd;
}

.form-range::-moz-range-track {
	width: 100%;
	height: 0.5rem;
	color: transparent;
	cursor: pointer;
	background-color: #dee2e6;
	border-color: transparent;
	border-radius: 1rem;
}

.form-range:disabled {
	pointer-events: none;
}

.form-range:disabled::-webkit-slider-thumb {
	background-color: #adb5bd;
}

.form-range:disabled::-moz-range-thumb {
	background-color: #adb5bd;
}

.form-floating {
	position: relative;
}

.form-floating > .form-control,
.form-floating > .form-select {
	height: calc(3.5rem + 2px);
	padding: 1rem 1.25rem;
}

.form-floating > label {
	position: absolute;
	top: 0;
	left: 0;
	height: 100%;
	padding: 1rem 1.25rem;
	pointer-events: none;
	border: 1px solid transparent;
	transform-origin: 0 0;
	transition: opacity 0.1s ease-in-out, transform 0.1s ease-in-out;
}

@media (prefers-reduced-motion: reduce) {
	.form-floating > label {
		transition: none;
	}
}

.form-floating > .form-control::placeholder {
	color: transparent;
}

.form-floating > .form-control:focus, .form-floating > .form-control:not(:placeholder-shown) {
	padding-top: 1.625rem;
	padding-bottom: 0.625rem;
}

.form-floating > .form-control:-webkit-autofill {
	padding-top: 1.625rem;
	padding-bottom: 0.625rem;
}

.form-floating > .form-select {
	padding-top: 1.625rem;
	padding-bottom: 0.625rem;
}

.form-floating > .form-control:focus ~ label,
.form-floating > .form-control:not(:placeholder-shown) ~ label,
.form-floating > .form-select ~ label {
	opacity: 0.65;
	transform: scale(0.85) translateY(-0.5rem) translateX(0.15rem);
}

.form-floating > .form-control:-webkit-autofill ~ label {
	opacity: 0.65;
	transform: scale(0.85) translateY(-0.5rem) translateX(0.15rem);
}

.input-group {
	position: relative;
	display: flex;
	flex-wrap: wrap;
	align-items: stretch;
	width: 100%;
}

.input-group > .form-control,
.input-group > .form-select {
	position: relative;
	flex: 1 1 auto;
	width: 1%;
	min-width: 0;
}

.input-group > .form-control:focus,
.input-group > .form-select:focus {
	z-index: 3;
}

.input-group .btn {
	position: relative;
	z-index: 2;
}

.input-group .btn:focus {
	z-index: 3;
}

.input-group-text {
	display: flex;
	align-items: center;
	padding: 0.8125rem 1.25rem;
	font-size: 1rem;
	font-weight: 400;
	line-height: 1.7;
	color: #272b37;
	text-align: center;
	white-space: nowrap;
	background-color: #f8f8f8;
	border: 1px solid #cfcfcf;
	border-radius: 0;
}

.input-group-lg > .form-control,
.input-group-lg > .form-select,
.input-group-lg > .input-group-text,
.input-group-lg > .btn {
	padding: 0.5rem 1rem;
	font-size: 1.125rem;
	border-radius: 0.3rem;
}

.input-group-sm > .form-control,
.input-group-sm > .form-select,
.input-group-sm > .input-group-text,
.input-group-sm > .btn {
	padding: 0.25rem 0.5rem;
	font-size: 0.8125rem;
	border-radius: 0.2rem;
}

.input-group-lg > .form-select,
.input-group-sm > .form-select {
	padding-right: 5rem;
}

.input-group:not(.has-validation) > :not(:last-child):not(.dropdown-toggle):not(.dropdown-menu),
.input-group:not(.has-validation) > .dropdown-toggle:nth-last-child(n + 3) {
	border-top-right-radius: 0;
	border-bottom-right-radius: 0;
}

.input-group.has-validation > :nth-last-child(n + 3):not(.dropdown-toggle):not(.dropdown-menu),
.input-group.has-validation > .dropdown-toggle:nth-last-child(n + 4) {
	border-top-right-radius: 0;
	border-bottom-right-radius: 0;
}

.input-group > :not(:first-child):not(.dropdown-menu):not(.valid-tooltip):not(.valid-feedback):not(.invalid-tooltip):not(.invalid-feedback) {
	margin-left: -1px;
	border-top-left-radius: 0;
	border-bottom-left-radius: 0;
}

.valid-feedback {
	display: none;
	width: 100%;
	margin-top: 0.25rem;
	font-size: 0.875em;
	color: #198754;
}

.valid-tooltip {
	position: absolute;
	top: 100%;
	z-index: 5;
	display: none;
	max-width: 100%;
	padding: 0.25rem 0.5rem;
	margin-top: .1rem;
	font-size: 0.8125rem;
	color: #fff;
	background-color: rgba(25, 135, 84, 0.9);
	border-radius: 0;
}

.was-validated :valid ~ .valid-feedback,
.was-validated :valid ~ .valid-tooltip,
.is-valid ~ .valid-feedback,
.is-valid ~ .valid-tooltip {
	display: block;
}

.was-validated .form-control:valid, .form-control.is-valid {
	border-color: #198754;
	padding-right: calc(1.7em + 1.625rem);
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3e%3cpath fill='%23198754' d='M2.3 6.73L.6 4.53c-.4-1.04.46-1.4 1.1-.8l1.1 1.4 3.4-3.8c.6-.63 1.6-.27 1.2.7l-4 4.6c-.43.5-.8.4-1.1.1z'/%3e%3c/svg%3e");
	background-repeat: no-repeat;
	background-position: right calc(0.425em + 0.40625rem) center;
	background-size: calc(0.85em + 0.8125rem) calc(0.85em + 0.8125rem);
}

.was-validated .form-control:valid:focus, .form-control.is-valid:focus {
	border-color: #198754;
	box-shadow: 0 0 0 0.25rem rgba(25, 135, 84, 0.25);
}

.was-validated textarea.form-control:valid, textarea.form-control.is-valid {
	padding-right: calc(1.7em + 1.625rem);
	background-position: top calc(0.425em + 0.40625rem) right calc(0.425em + 0.40625rem);
}

.was-validated .form-select:valid, .form-select.is-valid {
	border-color: #198754;
}

.was-validated .form-select:valid:not([multiple]):not([size]), .was-validated .form-select:valid:not([multiple])[size="1"], .form-select.is-valid:not([multiple]):not([size]), .form-select.is-valid:not([multiple])[size="1"] {
	padding-right: 6.875rem;
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%232f3340' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e"), url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3e%3cpath fill='%23198754' d='M2.3 6.73L.6 4.53c-.4-1.04.46-1.4 1.1-.8l1.1 1.4 3.4-3.8c.6-.63 1.6-.27 1.2.7l-4 4.6c-.43.5-.8.4-1.1.1z'/%3e%3c/svg%3e");
	background-position: right 1.25rem center, center right 3.75rem;
	background-size: 16px 12px, calc(0.85em + 0.8125rem) calc(0.85em + 0.8125rem);
}

.was-validated .form-select:valid:focus, .form-select.is-valid:focus {
	border-color: #198754;
	box-shadow: 0 0 0 0.25rem rgba(25, 135, 84, 0.25);
}

.was-validated .form-check-input:valid, .form-check-input.is-valid {
	border-color: #198754;
}

.was-validated .form-check-input:valid:checked, .form-check-input.is-valid:checked {
	background-color: #198754;
}

.was-validated .form-check-input:valid:focus, .form-check-input.is-valid:focus {
	box-shadow: 0 0 0 0.25rem rgba(25, 135, 84, 0.25);
}

.was-validated .form-check-input:valid ~ .form-check-label, .form-check-input.is-valid ~ .form-check-label {
	color: #198754;
}

.form-check-inline .form-check-input ~ .valid-feedback {
	margin-left: .5em;
}

.was-validated .input-group .form-control:valid, .input-group .form-control.is-valid, .was-validated
.input-group .form-select:valid,
.input-group .form-select.is-valid {
	z-index: 1;
}

.was-validated .input-group .form-control:valid:focus, .input-group .form-control.is-valid:focus, .was-validated
.input-group .form-select:valid:focus,
.input-group .form-select.is-valid:focus {
	z-index: 3;
}

.invalid-feedback {
	display: none;
	width: 100%;
	margin-top: 0.25rem;
	font-size: 0.875em;
	color: #dc3545;
}

.invalid-tooltip {
	position: absolute;
	top: 100%;
	z-index: 5;
	display: none;
	max-width: 100%;
	padding: 0.25rem 0.5rem;
	margin-top: .1rem;
	font-size: 0.8125rem;
	color: #fff;
	background-color: rgba(220, 53, 69, 0.9);
	border-radius: 0;
}

.was-validated :invalid ~ .invalid-feedback,
.was-validated :invalid ~ .invalid-tooltip,
.is-invalid ~ .invalid-feedback,
.is-invalid ~ .invalid-tooltip {
	display: block;
}

.was-validated .form-control:invalid, .form-control.is-invalid {
	border-color: #dc3545;
	padding-right: calc(1.7em + 1.625rem);
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12' width='12' height='12' fill='none' stroke='%23dc3545'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23dc3545' stroke='none'/%3e%3c/svg%3e");
	background-repeat: no-repeat;
	background-position: right calc(0.425em + 0.40625rem) center;
	background-size: calc(0.85em + 0.8125rem) calc(0.85em + 0.8125rem);
}

.was-validated .form-control:invalid:focus, .form-control.is-invalid:focus {
	border-color: #dc3545;
	box-shadow: 0 0 0 0.25rem rgba(220, 53, 69, 0.25);
}

.was-validated textarea.form-control:invalid, textarea.form-control.is-invalid {
	padding-right: calc(1.7em + 1.625rem);
	background-position: top calc(0.425em + 0.40625rem) right calc(0.425em + 0.40625rem);
}

.was-validated .form-select:invalid, .form-select.is-invalid {
	border-color: #dc3545;
}

.was-validated .form-select:invalid:not([multiple]):not([size]), .was-validated .form-select:invalid:not([multiple])[size="1"], .form-select.is-invalid:not([multiple]):not([size]), .form-select.is-invalid:not([multiple])[size="1"] {
	padding-right: 6.875rem;
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%232f3340' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e"), url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12' width='12' height='12' fill='none' stroke='%23dc3545'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23dc3545' stroke='none'/%3e%3c/svg%3e");
	background-position: right 1.25rem center, center right 3.75rem;
	background-size: 16px 12px, calc(0.85em + 0.8125rem) calc(0.85em + 0.8125rem);
}

.was-validated .form-select:invalid:focus, .form-select.is-invalid:focus {
	border-color: #dc3545;
	box-shadow: 0 0 0 0.25rem rgba(220, 53, 69, 0.25);
}

.was-validated .form-check-input:invalid, .form-check-input.is-invalid {
	border-color: #dc3545;
}

.was-validated .form-check-input:invalid:checked, .form-check-input.is-invalid:checked {
	background-color: #dc3545;
}

.was-validated .form-check-input:invalid:focus, .form-check-input.is-invalid:focus {
	box-shadow: 0 0 0 0.25rem rgba(220, 53, 69, 0.25);
}

.was-validated .form-check-input:invalid ~ .form-check-label, .form-check-input.is-invalid ~ .form-check-label {
	color: #dc3545;
}

.form-check-inline .form-check-input ~ .invalid-feedback {
	margin-left: .5em;
}

.was-validated .input-group .form-control:invalid, .input-group .form-control.is-invalid, .was-validated
.input-group .form-select:invalid,
.input-group .form-select.is-invalid {
	z-index: 2;
}

.was-validated .input-group .form-control:invalid:focus, .input-group .form-control.is-invalid:focus, .was-validated
.input-group .form-select:invalid:focus,
.input-group .form-select.is-invalid:focus {
	z-index: 3;
}

label {
	font-size: 1rem;
	cursor: pointer;
}

textarea {
	min-height: 145px;
}

.form-group {
	position: relative;
	text-align: left;
	margin-bottom: 0;
}

.form-control {
	text-overflow: ellipsis;
	background-clip: border-box;
}

.form-control-inline {
	display: inline-block;
	text-align: center;
	width: auto;
}

.form-group + .form-group {
	margin-top: 12px;
}

.input-group > .form-control,
.input-group > .form-control-plaintext,
.input-group > .custom-select,
.input-group > .custom-file {
	height: auto;
}

@media (min-width: 768px) {
	.form-group + .form-group {
		margin-top: 22px;
	}
}

:invalid {
	box-shadow: none;
}

:-moz-submit-invalid {
	box-shadow: none;
}

:-moz-ui-invalid {
	box-shadow: none;
}

.form-group-disabled {
	pointer-events: none;
}

.form-group-disabled .form-control {
	background-color: rgba(248, 248, 248, 0.8);
}

.form-group-disabled .form-control::placeholder {
	opacity: .3;
}

.form-group-disabled label {
	opacity: .3;
}

.form-group-disabled .input-group-text:before {
	opacity: .3;
}

.form-group-icon {
	position: relative;
	width: 100%;
}

.form-group-icon .form-control {
	padding-right: 50px;
}

.form-icon,
.form-group-icon-btn {
	position: absolute;
	top: 50%;
	right: 15px;
	transform: translateY(-50%);
	font-size: 1.6875rem;
	color: #cfcfcf;
	pointer-events: none;
}

.form-group-icon-btn {
	transition: all 0.2s ease-in-out;
	pointer-events: auto;
}

.form-group-icon-btn:hover {
	color: #bf0a30;
}

.input-group-text {
	position: relative;
	z-index: 1;
}

.input-group-text:after {
	content: '';
	position: absolute;
	right: 0;
	top: 50%;
	height: 80%;
	transform: translateY(-50%);
	width: 1px;
	background-color: #cfcfcf;
}

.input-group-text-nodivider:after {
	display: none;
}

.bg-100 .form-control,
.bg-100 .input-group-text {
	background: #fff;
}

.form-inline .btn {
	margin-top: 0;
}

.form-inline-group {
	position: relative;
	display: flex;
	flex-grow: 1;
}

.form-inline-group > * {
	flex-grow: 1;
}

.input-group-text {
	background: #f8f8f8 !important;
}

.input-group-text:after {
	display: none;
}

.custom-control-label {
	position: relative;
}

.custom-control-label::before, .custom-control-label::after {
	content: '';
	position: absolute;
}

.custom-control-input:checked ~ .custom-control-label::before {
	color: #bf0a30;
	border-color: #cfcfcf;
	background-color: #fff;
}